RPM Community Forums

Mailing List Message of <rpm-users>

Re: rpm errors upon running

From: Jeff Johnson <n3npq@mac.com>
Date: Mon 20 Jun 2011 - 19:56:34 CEST
Message-id: <DFA28DAE-F49F-487C-AC4D-F49AE859EAA2@mac.com>

On Jun 20, 2011, at 1:48 PM, Miller, Vincent (Rick) wrote:

> Ok.  Based on your input with regards to the error I am seeing with the rpmbuild issues.  I'll need to rebuild RPM5.  So, I was going to download it, but there are no source tarballs (just source rpms) for newer versions and I cannot download newer sources from CVS due to a firewall.
> 
> How do you recommend I download a newer version?

Find scripts/rpm2cpio.sh (its also on the web site).

Download the *.src.rpm and run

	rpm2cpio.sh rpm-*.src.rpm | cpio -dim

You will end up w 2 tar balls and one spec file jun the current directory.

73 de Jeff




  • application/pkcs7-signature attachment: smime.p7s
Received on Mon Jun 20 19:57:03 2011
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.